Name:          librdkafka
Version:       2.10.0
Release:       1mamba
Summary:       A C library implementation of the Apache Kafka protocol
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/confluentinc/librdkafka
Source:        https://github.com/edenhill/librdkafka.git/v%{version}/librdkafka-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcurl-devel
BuildRequires: libgcc
BuildRequires: liblz4-devel
BuildRequires: libopenssl-devel
BuildRequires: libsasl2-devel
BuildRequires: libstdc++6-devel
BuildRequires: libz-devel
BuildRequires: libzstd-devel
## AUTOBUILDREQ-END
BuildRequires: cmake

%description
librdkafka is a C library implementation of the Apache Kafka protocol, providing Producer, Consumer and Admin clients. It was designed with message delivery reliability and high performance in mind, current figures exceed 1 million msgs/second for the producer and 3 million msgs/second for the consumer.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.


%prep
%setup -q

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/librdkafka++.so.*
%{_libdir}/librdkafka.so.*
%doc LICENSE

%files devel
%defattr(-,root,root)
%dir %{_includedir}/librdkafka
%{_includedir}/librdkafka/*.h
%{_libdir}/librdkafka++.so
%{_libdir}/librdkafka.so
%{_libdir}/pkgconfig/rdkafka++.pc
%{_libdir}/pkgconfig/rdkafka.pc
%dir %{_libdir}/cmake/RdKafka
%{_libdir}/cmake/RdKafka/*.cmake
%{_datadir}/licenses/librdkafka/LICENSES.txt
%doc README.md README.win32

%changelog
* Fri Apr 18 2025 Automatic Build System <autodist@openmamba.org> 2.10.0-1mamba
- automatic version update by autodist

* Fri Jan 10 2025 Automatic Build System <autodist@openmamba.org> 2.8.0-1mamba
- automatic version update by autodist

* Tue Nov 19 2024 Automatic Build System <autodist@openmamba.org> 2.6.1-1mamba
- automatic version update by autodist

* Fri Oct 11 2024 Automatic Build System <autodist@openmamba.org> 2.6.0-1mamba
- automatic version update by autodist

* Tue Sep 03 2024 Automatic Build System <autodist@openmamba.org> 2.5.3-1mamba
- automatic version update by autodist

* Tue Jul 16 2024 Automatic Build System <autodist@openmamba.org> 2.5.0-1mamba
- automatic version update by autodist

* Thu May 09 2024 Automatic Build System <autodist@openmamba.org> 2.4.0-1mamba
- automatic version update by autodist

* Thu Oct 26 2023 Automatic Build System <autodist@mambasoft.it> 2.3.0-1mamba
- automatic version update by autodist

* Thu Jul 13 2023 Automatic Build System <autodist@mambasoft.it> 2.2.0-1mamba
- automatic version update by autodist

* Thu May 04 2023 Automatic Build System <autodist@mambasoft.it> 2.1.1-1mamba
- automatic version update by autodist

* Thu Apr 06 2023 Automatic Build System <autodist@mambasoft.it> 2.1.0-1mamba
- automatic version update by autodist

* Sat Feb 11 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 2.0.2-2mamba
- update patch to fix requirement replacing pkgconfig(curl) with pkgconfig(libcurl)

* Sat Jan 21 2023 Automatic Build System <autodist@mambasoft.it> 2.0.2-1mamba
- automatic version update by autodist

* Thu Jan 19 2023 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Sat Sep 24 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.9.2-1mamba
- package created using the webbuild interface
